Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjml4
Class QMSelection

    java.lang.Object
      |
      +--com.jxml.quick.QConverterSupport
            |
            +--com.jxml.quick.util.qjml4.QGBase
                  |
                  +--com.jxml.quick.util.qjml4.QMSelection

All Implemented Interfaces:
  Item, QConverter, QGBaseIntf

public class QMSelection
extends QGBase
implements QGBaseIntf

Field Summary
`QGBase` | `access`
`ArrayList` | `items`
`String` | `label`
`boolean` | `optional` default = "False"
`boolean` | `repeating` default = "False"

Fields inherited from class com.jxml.quick.QConverterSupport
`al, destination, PUBLIC, rootTag, SYSTEM`

Constructor Summary
`QMSelection()`
`QMSelection(QGBase access, String label, boolean optional, boolean repeating, ArrayList items)`

Method Summary
`void` | `cvt()`
`void` | `print(PrintWriter pw, String indent)` print a summary of this object
`void` | `setDestination(DocumentHandler destination)` Set the destination for the generated SAX events.

Methods inherited from class com.jxml.quick.util.qjml4.QGBase
`print`

Methods inherited from class com.jxml.quick.QConverterSupport
`addBase64Attribute, addBase64Content, addBigDecimalAttribute, addBigDecimalContent, addBooleanAttribute, addBooleanAttribute, addBooleanContent, addBooleanContent, addByteAttribute, addByteAttribute, addByteContent, addByteContent, addCharAttribute, addCharAttribute, addCharContent, addCharContent, addDoubleAttribute, addDoubleAttribute, addDoubleContent, addDoubleContent, addFloatAttribute, addFloatAttribute, addFloatContent, addFloatContent, addIntAttribute, addIntAttribute, addIntContent, addIntContent, addLongAttribute, addLongAttribute, addLongContent, addLongContent, addShortAttribute, addShortAttribute, addShortContent, addShortContent, addStringAttribute, addStringContent, addURLAttribute, addURLContent, emptyElement, endElement, eval, eval, evalRoot, getPUBLIC, getRootTag, getSYSTEM, main, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.util.qjml4.QGBaseIntf
`print`

Field Detail

### access

    public QGBase access

### label

    public String label

### optional

    public boolean optional

  default = "False"

### repeating

    public boolean repeating

  default = "False"

### items

    public ArrayList items

Constructor Detail

### QMSelection

    public QMSelection()

### QMSelection

    public QMSelection(QGBase access,
                       String label,
                       boolean optional,
                       boolean repeating,
                       ArrayList items)

Method Detail

### setDestination

    public void setDestination(DocumentHandler destination)

  Description copied from class: `QConverterSupport`
  Set the destination for the generated SAX events. Called by eval for the root node, but must be called by application logic for all other nodes before generating any events.
  Overrides:
    `setDestination` in class `QConverterSupport`
  Following copied from class: `com.jxml.quick.QConverterSupport`
  Parameters:
    `destination` - Destination for all generated SAX events.

### cvt

    public void cvt()
             throws SAXException

  Overrides:
    `cvt` in class `QGBase`

### print

    public void print(PrintWriter pw,
                      String indent)

  Description copied from interface: `QGBaseIntf`
  print a summary of this object
  Specified by:
    `print` in interface `QGBaseIntf`
  Overrides:
    `print` in class `QGBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD